Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.model
Class AstFunNode

    java.lang.Object
      ru.biosoft.math.model.SimpleNode
          ru.biosoft.math.model.AstFunNode

All Implemented Interfaces:
  Node

public class AstFunNode
extends SimpleNode

Any function or operator.

Pendung:
  - refine priorities.

Field Summary
`static int` | `FUNCTION_PRIORITY`
`static int` | `LOGICAL_PRIORITY`
`static int` | `PLUS_PRIORITY`
`static int` | `POWER_PRIORITY`
`static int` | `RELATIONAL_PRIORITY`
`static int` | `TIMES_PRIORITY`
`static int` | `UNARY_PRIORITY`

Fields inherited from class ru.biosoft.math.model.SimpleNode
`children, id, parent`

Constructor Summary
`AstFunNode(int id)`

Method Summary
`Function` | `getFunction()`
`void` | `setFunction(Function function)` Sets the function for a node.
`java.lang.String` | `toString()` Returns a string containing the function name.

Methods inherited from class ru.biosoft.math.model.SimpleNode
`dump, dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtReplaceChild, jjtSetParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOGICAL_PRIORITY

    public static final int LOGICAL_PRIORITY

See Also:
  Constant Field Values

### RELATIONAL_PRIORITY

    public static final int RELATIONAL_PRIORITY

See Also:
  Constant Field Values

### PLUS_PRIORITY

    public static final int PLUS_PRIORITY

See Also:
  Constant Field Values

### TIMES_PRIORITY

    public static final int TIMES_PRIORITY

See Also:
  Constant Field Values

### UNARY_PRIORITY

    public static final int UNARY_PRIORITY

See Also:
  Constant Field Values

### POWER_PRIORITY

    public static final int POWER_PRIORITY

See Also:
  Constant Field Values

### FUNCTION_PRIORITY

    public static final int FUNCTION_PRIORITY

See Also:
  Constant Field Values

Constructor Detail

### AstFunNode

    public AstFunNode(int id)

Method Detail

### getFunction

    public Function getFunction()

### setFunction

    public void setFunction(Function function)

  Sets the function for a node. It is parser responcibility to check the function validness.

### toString

    public java.lang.String toString()

  Returns a string containing the function name.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.